Subject: Re: bug#22552: 25.1; 25.0.90 build fails on Mac OS X 10.11

From: YAMAMOTO Mitsuharu <[email-masked]>
Date: Fri, 05 Feb 2016 18:15:57 +0900

>>>>> On Thu, 4 Feb 2016 22:49:32 -0800, Henry Unger <[email-masked]> said:

>> > $ pkg-config --cflags 'libxml-2.0 > 2.6.17'
>> > -I/usr/include/libxml2
>> 
>> > /usr/include does not exist per se.
>> 
>> This means libxml-2.0.pc in your installation of libxml2 is bogus.
>> IIUC, Apple does not provide us with libxml-2.0.pc in their SDK, so probably
>> you should have installed libxml2 on your own.
>> 
>> YAMAMOTO Mitsuharu
>> [email-masked]

> It appears that the libxml-2.0.pc file was installed when I used brew to install some package a few weeks ago. I renamed libxml-2.0.pc to something else and re-ran the configure and make and it built without error. I'm sorry for the false alarm and thanks for your assistance

Homebrew seems to require the installation of Command Line Tools for
Xcode.

  https://github.com/Homebrew/homebrew/blob/master/share/doc/homebrew/Installation.md

If you follow the above instructions, then /usr/include will be
created and the build of Emacs will succeed.

				     YAMAMOTO Mitsuharu
				[email-masked]